Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.publish.maven.deploy.groovy
Class DefaultGroovyMavenInstaller

    java.lang.Object
      org.gradle.api.internal.artifacts.publish.maven.deploy.AbstractMavenResolver
          org.gradle.api.internal.artifacts.publish.maven.deploy.BaseMavenInstaller
              org.gradle.api.internal.artifacts.publish.maven.deploy.groovy.DefaultGroovyMavenInstaller

    class DefaultGroovyMavenInstaller
    extends BaseMavenInstaller

author:
  Hans Dockter

Constructor Summary
`DefaultGroovyMavenInstaller(java.lang.String name, GroovyPomFilterContainer pomFilterContainer, ArtifactPomContainer artifactPomContainer, ConfigurationContainer configurationContainer)`

Method Summary
`MavenPom` | `addFilter(java.lang.String name, groovy.lang.Closure filter)`
`void` | `filter(groovy.lang.Closure filter)`
`MavenPom` | `pom(groovy.lang.Closure configureClosure)`
`MavenPom` | `pom(java.lang.String name, groovy.lang.Closure configureClosure)`

Methods inherited from class BaseMavenInstaller
createPreConfiguredTask, getInstallTaskFactory, setInstallTaskFactory

Methods inherited from class AbstractMavenResolver
abortPublishTransaction, addFilter, beginPublishTransaction, commitPublishTransaction, createPreConfiguredTask, download, download, dumpSettings, exists, filter, findIvyFileRef, getActivePomFilters, getArtifactPomContainer, getConfigurationContainer, getDependency, getFilter, getName, getNamespace, getPom, getPomFilterContainer, getRepositoryCacheManager, getSettings, listModules, listOrganisations, listRevisions, listTokenValues, listTokenValues, locate, pom, publish, reportFailure, reportFailure, setArtifactPomContainer, setConfigurationContainer, setFilter, setName, setPom, setPomFilterContainer, setSettings

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultGroovyMavenInstaller

    public DefaultGroovyMavenInstaller(java.lang.String name, GroovyPomFilterContainer pomFilterContainer, ArtifactPomContainer artifactPomContainer, ConfigurationContainer configurationContainer)

Method Detail

### addFilter

    MavenPom addFilter(java.lang.String name, groovy.lang.Closure filter)

### filter

    void filter(groovy.lang.Closure filter)

### pom

    MavenPom pom(groovy.lang.Closure configureClosure)

### pom

    MavenPom pom(java.lang.String name, groovy.lang.Closure configureClosure)

Groovy Documentation